Wing Commander - Privateer Gemini Gold

News Files Images Forum Faq Credits

Forum

posted: 22 Dec 2012, 16:53

Hello Everybody,

I have my brand new Privateer installed on my Kubuntu 12.10, but I've got some issues: every time I run any of the files under my Privateer "bin" folder, the screen turns black and after a few seconds I've got a segmentation fault.

While I was installing Privateer, right after the message "Uncompressing Privateer Gemini Gold 1.03 - Base..............." I've got an error message while accesing to a library:
/home/karl/.setup4504: error while loading shared libraries: libgdk-1.2.so.0: cannot open shared object file: No such file or directory

But I searched on my package manager for the file "", and I didn't found a package that exactly matched the name that appears on the error message. My package manager tells me that I've got already installed the following packages: libgdk-pixbuff2.0-[0, i386, common]

Where can I found all the dependencies needed to run Privateer? Can anybody help me with my issue? If you guys need more information, I'll be glad to provide it to you :)

Cheers
khf
 
Posts: 1
Joined: 22 Dec 2012, 16:27

posted: 10 Mar 2013, 03:49

I'm running Mint13, based on Ubuntu 12.10, and have the same problem. Here's what I've been able to figure out. libgdk-1.2.so.0 is an ANCIENT library that was included in the libgtk1.2 package. See http://ubuntuforums.org/showthread.php?t=508859. It was deprecated in 2008. It's not even included in Ubuntu anymore. I have libgtk2.0-0 installed, but libgdk-1.2.so.0 is no longer included in libgtk.

It may be possible to copy the one needed file from an old Ubuntu system. Directory structure should be the same. Unfortunately, development on PGG seems to have died, but since it's a MOD of a game still in active development, VegaStrike, we may still have hope.

I'll post here if I figure out anything more.
iWantPGG
 
Posts: 2
Joined: 10 Mar 2013, 03:11

posted: 10 Mar 2013, 05:10

It took a couple hours of searching, but I found an app called getlibs that will search for defunct 32-bit libraries in old Ubuntu repositories and install them. It was written by the user CAPPY on the ubuntuforums. http://ubuntuforums.org/showthread.php?t=1680819&highlight=getlibs It only works for Ubuntu, and it will only find 32-bit libraries, but that's exactly what we need.

I tried testing it, but my current network has the Ubuntu packages database firewalled. I'll have to try from a coffee shop or something. Link to hosting page is below in case you haven't registered on ubuntuforums.org

http://ubuntuforums.org/showthread.php?t=1680819&highlight=getlibs
iWantPGG
 
Posts: 2
Joined: 10 Mar 2013, 03:11

posted: 18 Mar 2013, 23:27

as far as i know gtk is only used for the setup utility, and yes it needs to be updated on the gtk side. I will mention this to klauss so cmake will use the more current gtk. I probably wont make the switch on the windows side of things as the UI buttons etc have changed a good bit and don't look as nice as the old set.
pheonixstorm
 
User avatar
Posts: 84
Joined: 17 Nov 2010, 03:52

posted: 31 Jan 2017, 10:09

Hi!

pheonixstorm wrote:as far as i know gtk is only used for the setup utility, and yes it needs to be updated on the gtk side. I will mention this to klauss so cmake will use the more current gtk. I probably wont make the switch on the windows side of things as the UI buttons etc have changed a good bit and don't look as nice as the old set.


Any ideas when this setup problem is fixed? I'm using the current Debian version, and I don't want to install such old libs (if I can find them).

Many greetings,

Stephan
nurabsal
 
Posts: 2
Joined: 31 Jan 2017, 09:53

posted: 31 Jan 2017, 23:51

Given that the program is no longer being worked on, and all the developers have moved on, I'm going to guess that this setup issue will never be fixed. Sorry. :(
Kenner
 
Posts: 383
Joined: 30 Jan 2007, 23:22
Location: Canada

posted: 01 Feb 2017, 08:23

Hi, Kenner!

Kenner wrote:Given that the program is no longer being worked on, and all the developers have moved on, I'm going to guess that this setup issue will never be fixed. Sorry. :(


That's very sad. :-(
Okay, it means that PGG is dead for me, and I must play the original game in the dosbox.

Thanks and many greetings,

Stephan
nurabsal
 
Posts: 2
Joined: 31 Jan 2017, 09:53


Return to New Detroit Com Link